Page MenuHomePhabricator

Please add numerous *.gov.ua domains to the wgCopyUploadsDomains whitelist
Closed, ResolvedPublic

Description

Please add the following domains to the wgCopyUploadsDomains whitelist:

  • president.gov.ua
  • kmu.gov.ua
  • vin.gov.ua
  • if.gov.ua
  • kr-admin.gov.ua
  • loda.gov.ua
  • loga.gov.ua
  • kmr.gov.ua
  • mil.gov.ua
  • mip.gov.ua
  • sfs.gov.ua
  • dknii.gov.ua

These government-related sites have now CC-BY-4.0 license (as stated bottom of sites).

Consensus: https://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2018/03#Adding_sites_to_URL-upload_whitelist

Details

Related Gerrit Patches:

Event Timeline

Ahonc created this task.Jan 20 2018, 9:48 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptJan 20 2018, 9:48 PM
Urbanecm claimed this task.Jan 20 2018, 9:57 PM
Urbanecm added subscribers: Dereckson, Urbanecm.

I'll do it. Ad PS) It's impossible to fix it, just a typo... Typos shouldn't be done, but are possible, sadly.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 20 2018, 9:57 PM

Change 405550 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add several domains of Ukraine government to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/405550

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Jan 20 2018, 10:03 PM
Urbanecm triaged this task as Medium priority.Jan 20 2018, 10:06 PM

but it may be fixed in file comments in raws with that sites

Anybody can add a comment to the patch, but nobody can edit commit message after it was merged.

Ahonc added a comment.EditedJan 20 2018, 10:15 PM

I am about comments in rows 13240-13245 of wmf-config/InitialiseSettings.php .
Ah, I see, in current version is correct bug number provided.

Aklapper renamed this task from Please add the domains to the wgCopyUploadsDomains whitelist to Please add numerous *.gov.ua domains to the wgCopyUploadsDomains whitelist.Jan 21 2018, 4:03 PM

@hashar disagreed with deployment of this patch, see quotation below.

Hashar
10:58 AM
Patch Set 2:

I am not sure there is a point in whitelisting every single website from the Ukrainian governement. Usually we just white list the specific pictures archives sites.

Can you please give us some images examples that resides on domains you want to whitelist or convience us by something else?

Thanks

Dereckson added a comment.EditedJan 22 2018, 9:40 PM

P.S. And here https://gerrit.wikimedia.org/r/#/c/172557/ is wrong bug number repored: should be 75045 instead of 73045.

Yes, bugs referred to the old bug ID in Bugzilla. To convert Bugzilla bugs ID into Phabricator tasks ID, add 2000.

The 73045 id is linked to https://bugzilla.wikimedia.org/73045

This automatically redirect to the right location, https://phabricator.wikimedia.org/T75045

I'll do it. Ad PS) It's impossible to fix it, just a typo... Typos shouldn't be done, but are possible, sadly.

It's indeed impossible to edit a commit, it's an immutable object.

Actually, there is a mechanism imagined to work around this situation, not implemented currently in Phabricator, but that could be interesting, to add mutable notes to an immutable commit.

https://git-scm.com/docs/git-notes

Ahonc added a comment.EditedFeb 4 2018, 1:48 PM

Well, so there should be:

  • www.president.gov.ua
  • www.kmu.gov.ua
  • vin.gov.ua
  • adm.dp.gov.ua
  • www.if.gov.ua
  • kr-admin.gov.ua
  • loda.gov.ua
  • loga.gov.ua
  • kmr.gov.ua
  • www.mil.gov.ua
  • mip.gov.ua
  • sfs.gov.ua
  • dknii.gov.ua
Urbanecm removed Urbanecm as the assignee of this task.Feb 10 2018, 7:52 PM

Change 405550 abandoned by Urbanecm:
Add several domains of Ukraine government to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/405550

@Ahonc Could you discuss this on Wikimedia Commons village pump directly?

Because here, there was no clear decision in 3 months, so perhaps if you consult the Wikimedia Commons community, you could get a "yes, that's needed" or a no / perhaps from a subset" answer, and we can proceed from that point.

Per a discussion archived in the village pump on March 19th, here the proposal received 4 voted in support and none against. Would this be enough to proceed or would you recommend something else?

It seems acceptable to me to proceed.

Dereckson updated the task description. (Show Details)Apr 2 2018, 8:17 PM

Change 405550 restored by Dereckson:
Add several domains of Ukraine government to wgCopyUploadsDomains

Reason:
Per https://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2018/03#Adding_sites_to_URL-upload_whitelist

https://gerrit.wikimedia.org/r/405550

Dereckson added a comment.EditedApr 2 2018, 11:16 PM

Done,, thanks for remembering me.

Change 405550 merged by jenkins-bot:
[operations/mediawiki-config@master] Add several domains of Ukraine government to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/405550

Mentioned in SAL (#wikimedia-operations) [2018-04-02T23:56:04Z] <ladsgroup@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:405550|Add several domains of Ukraine government to wgCopyUploadsDomains (T185399)]] (duration: 00m 59s)

Dereckson closed this task as Resolved.Apr 3 2018, 12:00 AM
Dereckson assigned this task to Urbanecm.

Done, I included the change to this evening SWAT, with the fix provided in T185399#3918110.